const baseUrl = '/api'

// todo: url
const httpUrl = 'http://repairtest.dxccy.com' // 测试接口
const h5Url = 'http://repair.test.h5.dxccy.com' // 测试h5线上地址

// const httpUrl = 'https://repair.dxccy.com' // 正式接口
// const h5Url = 'https://repair.h5.dxccy.com' // 正式h5线上地址

const wxLogin = '/api/worker/login' // 微信登录获取token、登录状态
const curScope = 'scopes=snsapi_base&type=1'

window.localStorage.setItem('httpUrl', httpUrl)
window.localStorage.setItem('h5Url', h5Url)
window.localStorage.setItem('wxLogin', wxLogin)

export default {

    // url地址
    WINDOWHREF_LOGIN: `${httpUrl}${wxLogin}?callBack=${h5Url}/login&${curScope}`, // 身份失效跳转的登录
    WINDOWHREF_LOGIN_TOKEN: `${httpUrl}${wxLogin}?callBack=${window.location.href}&${curScope}`, // 获取token和登录状态
    WINDOWHREF_INDEX: `${httpUrl}${wxLogin}?callBack=${h5Url}&${curScope}`, // 没用到
    WINDOWHREF_ASK: `${httpUrl}${wxLogin}?callBack=${h5Url}&scopes=snsapi_userinfo&type=1`, // 绑定后用户进行授权

    // 登录相关
    SENDCODE: baseUrl + '/worker/send', // 发送验证码
    BINDLOGIN: baseUrl + '/worker/bind/login', // 手机号验证码登录绑定微信
    REFRESHTOKEN: baseUrl + '/worker/change/token',

    // 上传图片
    UPLOADIMG: baseUrl + '/worker/uploadImg',

    USERINFO: baseUrl + '/worker/user/info', // 获取用户信息
    REPAIR_LIST: baseUrl + '/worker/repair/list', // 工人/审核员端报修单列表
    ORDER_STATUS: baseUrl + '/worker/repair/order/status', // 获取订单状态
    REPAIR_BEGIN: baseUrl + '/worker/repair/begin', // 开始维修接口
    REPAIR_ORDER_DETAIL: baseUrl + '/worker/repair/order/detail', // 报修单详情
    REPAIR_ORDER: baseUrl + '/worker/material/order', // 发起收费生成耗材单
    MATERIAL_REMARK: baseUrl + '/worker/material/remark', // 备注耗材
    REPAIR_MATERIAL_SHOW: baseUrl + '/worker/material/show', // 查看耗材
    REPAIR_TRANSFER: baseUrl + '/worker/repair/transfer', // 发起转单
    REPAIR_COMPLETE: baseUrl + '/worker/repair/complete', // 确认完成
    REPAIR_APPRAISAL: baseUrl + '/worker/repair/appraisal', // 查看评论
    USER_EDIT: baseUrl + '/worker/user/edit', // 修改手机号
    WORKER_BACK: baseUrl + '/worker/repair/worker/back', // 工人端退回报修单
    ORDER_INFO: baseUrl + '/worker/repair/order/info', // 工人端工单详情页

    // 管理员端
    GET_WORKER: baseUrl + '/worker/get/worker', // 工人列表
    REPAIR_CANCEL: baseUrl + '/worker/repair/cancel', // 取消退回工单
    REPAIR_ASSIGN: baseUrl + '/worker/repair/assign', // 指派工人
    WX_JSSDK: baseUrl + '/worker/wx/jssdk' // 获取jssdk参数

}
