import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/tabbar/Home.vue'
import selfApi from '@/api/apiList'

Vue.use(VueRouter)
const routes = [{
    path: '/',
    name: 'home',
    meta: {
        title: '工单',
        hideBack: true,
        keepAlive: true
    },
    component: Home
},
// 登录
{
    path: '/login',
    name: 'login',
    meta: {
        title: '登录',
        hideBack: true
    },
    component: () => import('@/views/login/login.vue')
},
{
    path: '/mine',
    name: 'mine',
    meta: {
        title: '我的',
        hideBack: true,
        keepAlive: true
    },
    component: () => import('../views/tabbar/mine.vue')
},
{
    path: '/admin_home',
    name: 'admin_home',
    meta: {
        title: '报修工单',
        hideBack: true
    },
    component: () => import('../views/tabbar/admin_home.vue')
},
{
    path: '/modifyPhone',
    name: 'mesmodifyPhonesage',
    meta: {
        title: '修改手机号',
        hideBack: true
    },
    component: () => import('../views/tabbar/modifyPhone.vue')
},
// 个人中心
{
    path: '/charge',
    name: 'charge',
    meta: {
        title: '发起收费',
        hideBack: true
    },
    component: () => import('@/views/my/charge.vue')
},
{
    path: '/order_detail',
    name: 'order_detail',
    meta: {
        title: '工单详情',
        hideBack: true,
        keepAlive: true
    },
    component: () => import('@/views/my/order_detail.vue')
},
{
    path: '/admin_detail',
    name: 'admin_detail',
    meta: {
        title: '审核员工单详情',
        hideBack: true
    },
    component: () => import('@/views/my/admin_detail.vue')
},
{
    path: '/lookEvaluate',
    name: 'lookEvaluate',
    meta: {
        title: '查看评价',
        hideBack: true
    },
    component: () => import('@/views/my/lookEvaluate.vue')
}
]

const router = new VueRouter({
    mode: 'history',
    base: process.env.BASE_URL,
    routes,
    scrollBehavior (to, from, savePosition) {
        if (savePosition) {
            return savePosition
        } else {
            return {
                x: 0,
                y: 0
            }
        }
    }
})

router.beforeEach((to, from, next) => {
    let token = window.localStorage.getItem('token')
    let status = window.localStorage.getItem('status')
    let role = window.localStorage.getItem('role')
    if (to.path === '/login' && token && status) {
        next()
        return true
    }
    if ((to.query.token || to.query.id) && to.query.status) {
        // console.log('ok-------0', status)
        if (to.query.token) {
            token = to.query.token
        } else {
            var tempToken = to.query.id.split('=')
            console.log('tempToken', tempToken)
            token = tempToken[1]
        }
        status = to.query.status
        if (to.query.role != 0) {
            role = to.query.role
            window.localStorage.setItem('role', role)
        }
        // console.log('router里的', window.localStorage.getItem('role'));

        // console.log(token)
        // console.log(status)
        window.localStorage.setItem('token', token)
        window.localStorage.setItem('status', status)
    }
    if (token && status === '200') {
        console.log('ok-------1', 200)
        if ((role == 2 || role == 4) && to.path =='/') { // 2审核员身份  4超管身份
            // setTimeout(() => {
            next({
                path: '/admin_home'
            })
            // }, 50)
        }
        next()
    } else if (token && status === '100') {
        console.log('ok-------2', 100)
        setTimeout(() => {
            next({
                path: '/login'
            })
        }, 50)
        return true
    } else {
        console.log('ok-------3')
        // return
        window.document.location = selfApi.WINDOWHREF_LOGIN_TOKEN // url-
        return true
    }
})

router.afterEach((to, from, next) => {
    // window.scrollTo(0,0);
    window.document.title = to.meta.title || '工人端'
})

export default router
