var path = require('path')
// const webpack = require('webpack')
// const CompressionWebpackPlugin = require('compression-webpack-plugin')
// const productionGzipExtensions = ['js', 'css']

const autoprefixer = require('autoprefixer')
// const pxtorem = require('postcss-pxtorem')

module.exports = {
    // 项目部署的基础路径
    // 如果应用程序部署在子路径上，则需要使用此选项指定子路径。如果您的应用程序部署在https://www.foobar.com/my-app/，集baseUrl到'/my-app/'.
    publicPath: '/',
    // outputDir: 在npm run build时 生成文件的目录 type:string, default:'dist'
    outputDir: 'dist',
    // 放置build生成的静态资源 (js、css、img、fonts) 的目录。
    assetsDir: 'static',
    //   lintOnSave：{ type:Boolean default:true } 问你是否使用eslint
    lintOnSave: false, // bbbb
    css: {
        sourceMap: false,
        loaderOptions: {
            postcss: {
                plugins: [
                    autoprefixer()
                    // pxtorem({
                    //     rootValue: 37.5,
                    //     propList: ['*']
                    // })
                ]
            }
        }
        // modules: false
    },
    configureWebpack: {
        externals: {
            //   wx: "jWeixin",
            //   'element-ui': 'ELEMENT',
            //   'vue': 'Vue'
        },
        mode: process.env.NODE_ENV === 'production' ? 'production' : 'development',
        resolve: {
            alias: {
                '@': path.resolve(__dirname, './src'),
                '@assets': path.resolve(__dirname, './src/assets'),
                '@components': path.resolve(__dirname, './src/components')
            }
        },
        plugins: [

        ]
    },
    // productionSourceMap：生产源映射,如果您不需要生产时的源映射，那么将此设置为false可以加速生产构建
    productionSourceMap: false,
    // devServer:{type:Object} 3个属性host,port,https 支持webPack-dev-server的所有选项
    devServer: {
        port: 8080, // 端口号
        host: 'localhost',
        // host: "192.168.3.44",
        https: false, // https:{type:Boolean}
        open: false, // 配置自动启动浏览器
        proxy: {
            '/api/': {
                // todo: url
                target: 'http://repairtest.dxccy.com/api', // 测试
                // target: 'https://repair.dxccy.com/api', // 正式
                autoRewrite: true,
                changeOrigin: true,
                ws: true,
                pathRewrite: {
                    '^/api/': ''
                }
            }
        }
    }
}
